%define rname hachette
%define name emacs-%{rname}
%define version 1.5
%define release 6mdk

%define flavor emacs xemacs

Summary: Lookup a word on the Hachette's online french dictionary under Emacs
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://www.cis.ohio-state.edu/archive/archive/%{rname}.el
Source1: %{name}-autostart.el
License: GPL
Group: Editors
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}
BuildRequires: %{flavor}
BuildRequires: emacs-bin
BuildRequires: perl
BuildArch:     noarch

%description
Lookup a word on the Hachette's online french dictionary under Emacs or Xemacs.

%prep
mkdir -p %{name}-%{version}/
install -m644 %{SOURCE0} %{name}-%{version}/$(basename %{SOURCE0})
%setup -T -D

%build
for i in %{flavor};do
$i -batch -q -no-site-file -f batch-byte-compile %{rname}.el 
mv %{rname}.elc $i-%{rname}.elc
done

#Maybe need adjust
perl -n -e 'last if /^\(/;last if /^;;; Code/; print' < %{SOURCE0} > DOCUMENTATION

%install
rm -rf $RPM_BUILD_ROOT

for i in %{flavor};do
mkdir -p %{buildroot}%{_datadir}/$i/site-lisp/
mkdir -p %{buildroot}%{_datadir}/emacs/site-lisp/
install -m644 $i-%{rname}.elc %{buildroot}%{_datadir}/$i/site-lisp/
[[ $i = emacs ]] && install -m644 %{rname}.el %{buildroot}%{_datadir}/emacs/site-lisp/
done

mkdir -p %buildroot%{_sysconfdir}/emacs/site-start.d
cat << EOF > %buildroot%{_sysconfdir}/emacs/site-start.d/%{name}.el
%{expand:%(%__cat %{SOURCE1})}
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc DOCUMENTATION
%config(noreplace) /etc/emacs/site-start.d/%{name}.el
%{_datadir}/*/site-lisp/*el*

%changelog
* Fri Feb 20 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.5-6mdk
- rebuild

* Thu Jan 23 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.5-5mdk
- rebuild

* Tue Jan 21 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.5-4mdk
- rebuild for latest emacs

* Fri Jun 21 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.5-3mdk
- buildarch noarch
- buildrequires emacs-bin

* Mon Oct 15 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.5-2mdk
- Fix rpmlint's on spec file.

* Tue May 29 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.5-1mdk
- First version aims to be a template spec file for single emacs mode.

# end of file
